EXECUTE(7)

NAME
EXECUTE - execute a prepared query

SYNOPSIS

   EXECUTE plan_name [ (parameter [, ...] ) ]

  INPUTS

plan_name
    The name of the prepared query to execute.

parameter
    The actual value of a parameter to the prepared query. This must be an expression yielding a value of a type compatible with the data-type specified for this parameter position in the PREPARE statement that created the prepared query.

DESCRIPTION

EXECUTE is used to execute a previously prepared query. Since prepared queries only exist for the duration of a session, the prepared query must have been created by a PREPARE statement executed earlier in the current session.

If the PREPARE statement that created the query specified some parameters, a compatible set of parameters must be passed to the EXECUTE statement, or else an error is raised. Note that (unlike functions) prepared queries are not overloaded based on the type or number of their parameters: the name of a prepared query must be unique within a database session.

For more information on the creation and usage of prepared queries, see PREPARE [prepare(7)].

COMPATIBILITY

  SQL92

SQL92 includes an EXECUTE statement, but it is only for use in embedded SQL clients. The EXECUTE statement implemented by PostgreSQL also uses a somewhat different syntax.